summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-03-10 00:08:13 +0000
committerZac Medico <zmedico@gentoo.org>2007-03-10 00:08:13 +0000
commit4722f5ae2ecbd194ecc34c6365f64b2d6614295a (patch)
treea6ab7c1a68b74507a8532c423bb95f2353ebfc0a /bin/emerge-webrsync
parentimport portage.xpak to avoid deprecation warning (diff)
downloadportage-multirepo-4722f5ae2ecbd194ecc34c6365f64b2d6614295a.tar.gz
portage-multirepo-4722f5ae2ecbd194ecc34c6365f64b2d6614295a.tar.bz2
portage-multirepo-4722f5ae2ecbd194ecc34c6365f64b2d6614295a.zip
For bug #170178, remove all hardcoded references to '/usr/lib/portage'.
svn path=/main/trunk/; revision=6203
Diffstat (limited to 'bin/emerge-webrsync')
-rwxr-xr-xbin/emerge-webrsync7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/emerge-webrsync b/bin/emerge-webrsync
index 24fc377c..7602deab 100755
--- a/bin/emerge-webrsync
+++ b/bin/emerge-webrsync
@@ -5,8 +5,9 @@
# Author: Karl Trygve Kalleberg <karltk@gentoo.org>
# Rewritten from the old, Perl-based emerge-webrsync script
-eval $(/usr/lib/portage/bin/portageq envvar -v FEATURES FETCHCOMMAND \
- GENTOO_MIRRORS PORTAGE_INST_UID PORTAGE_INST_GID PORTAGE_NICENESS \
+type portageq > /dev/null || exit $?
+eval $(portageq envvar -v FEATURES FETCHCOMMAND GENTOO_MIRRORS \
+ PORTAGE_BIN_PATH PORTAGE_INST_UID PORTAGE_INST_GID PORTAGE_NICENESS \
PORTAGE_TMPDIR PORTDIR PORTAGE_RSYNC_EXTRA_OPTS)
DISTDIR="${PORTAGE_TMPDIR}/emerge-webrsync"
@@ -16,7 +17,7 @@ if [ -n "${PORTAGE_NICENESS}" ]; then
renice $PORTAGE_NICENESS $$ > /dev/null
fi
-source /usr/lib/portage/bin/isolated-functions.sh || exit 1
+source "${PORTAGE_BIN_PATH}"/isolated-functions.sh || exit 1
if [ ! -d $DISTDIR ] ; then
mkdir -p $DISTDIR